Last Comment Bug 558140 - Upgrade Mozilla to pick up new roots (NSS 3.12.6 + NSSCKBI_1_79_RTM)
: Upgrade Mozilla to pick up new roots (NSS 3.12.6 + NSSCKBI_1_79_RTM)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Kai Engert (:kaie)
:
: David Keeler [:keeler] (use needinfo?)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 11:38 PDT by Kai Engert (:kaie)
Modified: 2010-06-18 12:03 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.7-fixed
.11-fixed


Attachments
Proposed Action (56 bytes, text/plain)
2010-04-08 11:52 PDT, Kai Engert (:kaie)
wtc: review+
dveditz: approval1.9.2.7+
dveditz: approval1.9.1.11+
Details
patch as checked in (513.86 KB, patch)
2010-04-19 05:36 PDT, Kai Engert (:kaie)
no flags Details | Diff | Splinter Review

Description Kai Engert (:kaie) 2010-04-08 11:38:37 PDT
Upgrade Mozilla to pick up new roots (NSS 3.12.6 + NSSCKBI_1_79_RTM)

Only contents of this directory will be changed:
  mozilla/security/nss/lib/ckfw/builtins
Comment 1 Kai Engert (:kaie) 2010-04-08 11:41:18 PDT
NSS_3_12_6_WITH_CKBI_1_79_RTM
Comment 2 Kai Engert (:kaie) 2010-04-08 11:52:54 PDT
Created attachment 437913 [details]
Proposed Action

Wan-Teh or Bob, can you please review?
Comment 3 Wan-Teh Chang 2010-04-09 17:14:10 PDT
Comment on attachment 437913 [details]
Proposed Action

r=wtc.
Comment 4 Kai Engert (:kaie) 2010-04-19 05:32:33 PDT
http://hg.mozilla.org/mozilla-central/rev/1908834320d8

I decided to avoid the usual full-upgrade-to-nss script, and reapply patches. Instead I simply created a diff between NSS_3_12_6_RTM (what we currently use) and the new tag NSS_3_12_6_WITH_CKBI_1_79_RTM
Comment 5 Kai Engert (:kaie) 2010-04-19 05:36:10 PDT
Created attachment 439895 [details] [diff] [review]
patch as checked in
Comment 6 Kai Engert (:kaie) 2010-04-19 05:37:20 PDT
Comment on attachment 437913 [details]
Proposed Action

I propose to pick up new CA roots on stable branches.
Comment 7 Mike Beltzner [:beltzner, not reading bugmail] 2010-04-23 13:41:05 PDT
Comment on attachment 437913 [details]
Proposed Action

We'll wait until 1.9.2.5 and 1.9.1.11 (reed, if you're watching, can you make that latter flag?)
Comment 8 Daniel Veditz [:dveditz] 2010-06-14 10:40:00 PDT
Comment on attachment 437913 [details]
Proposed Action

Approved for 1.9.2.6, a=dveditz for release-drivers

Note You need to log in before you can comment on or make changes to this bug.